# PgpSignatoryFactory

open class PgpSignatoryFactory

Creates PgpSignatory instances.

## Constructors

PgpSignatoryFactory
Link copied to clipboard
constructor()

## Functions

createSignatory
Link copied to clipboard
open fun createSignatory(project: Project): PgpSignatory
open fun createSignatory(project: Project, required: Boolean): PgpSignatory
open fun createSignatory(project: Project, propertyPrefix: String): PgpSignatory
open fun createSignatory(name: String, secretKey: PGPSecretKey, password: String): PgpSignatory
open fun createSignatory(project: Project, propertyPrefix: String, required: Boolean): PgpSignatory
open fun createSignatory(project: Project, propertyPrefix: String, name: String): PgpSignatory
open fun createSignatory(name: String, keyId: String, keyRing: File, password: String): PgpSignatory
open fun createSignatory(project: Project, propertyPrefix: String, name: String, required: Boolean): PgpSignatory
readSecretKey
Link copied to clipboard
open fun readSecretKey(keyId: String, file: File): PGPSecretKey